bitel.billing.server.contract.bean

## Class Contract

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - bitel.billing.server.contract.bean.Contract

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Contract>, Idable, ListItem

      public class Contract
      extends IdTitle
      implements java.io.Serializable, java.lang.Comparable<Contract>

  По возможности не использовать. Использовать `Contract`. Есть трудности с переводом на новый бин из-за tariffOptions и tts, до тех пор пока к ним обращаються сюда, перевести полностью не получится.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CREDIT_BALANCE_MODE`
    `static int` | `DEBET_BALANCE_MODE`
    `static int` | `IS_INDEPENDENT`
    `static int` | `IS_SUPER`

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Contract()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(Contract o)`
    `boolean` | `equals(java.lang.Object obj)`
    `java.math.BigDecimal` | `getBalanceLimit()` Возвращает лимит остатка договора.
    `int` | `getBalanceMode()` Возвращает режим баланса договора `DEBET_BALANCE_MODE` либо `CREDIT_BALANCE_MODE`.
    `java.math.BigDecimal` | `getBalanceRest(java.sql.Connection con, java.util.Date time)` Deprecated.
    `java.lang.String` | `getComment()` Возвращает комментарий договора.
    `java.util.Date` | `getDateFrom()` Возвращает дату начала договора.
    `java.util.Date` | `getDateTo()` Возвращает дату закрытия договора.
    `int` | `getDel()` Возвращает скрытость договора.
    `java.lang.String` | `getDependSubList()` Возвращает список субдоговоров с зависимым балансом.
    `int` | `getFc()` Возвращает тип договора.
    `long` | `getGroups()` Получение битовой маски групп договора.
    `int` | `getParamGroup()` Возвращает код группы параметров договора.
    `java.lang.String` | `getPswd()` Возвращает пароль договора.
    `int` | `getStatus()` Возвращает текущий статус договора, доступные статусы перечислены в `KernelConst`.
    `java.util.Calendar` | `getStatusDate()` Возвращает дату установки текущего статуса договора.
    `int` | `getSubMode()` Возвращает тип субдоговора, может быть SUB_MODE_DEPEND_BALANCE либо SUB_MODE_INDEPEND_BALANCE из `KernelConst`.
    `int` | `getSuperId()` Возвращает код супердоговора.
    `ContractTariffOptionList` | `getTariffOptions()` Возвращает соотнесенный договору списка тарифных опций для тарификации.
    `int` | `getTitlePatternId()` Возвращает код шаблона имени.
    `bitel.billing.server.tariff.TariffTreeSet` | `getTts()` Возвращает соотнесенный договору набор тарифных деревьев для тарификации.
    `boolean` | `isDependSub()` Договор является субдоговором с зависимым балансом
    `boolean` | `isIndepend()` Договор является независимым.
    `boolean` | `isIndependSub()` Договор является субдоговором с независимым балансом
    `boolean` | `isSub()` Договор является субдоговором.
    `boolean` | `isSuper()` Договор является супердоговором.
    `void` | `setBalanceLimit(java.math.BigDecimal limit)` Установка лимита остатка.
    `void` | `setBalanceMode(int balanceMode)` Устанаваливает режим баланса договора `DEBET_BALANCE_MODE` либо `CREDIT_BALANCE_MODE`.
    `void` | `setComment(java.lang.String comment)` Устанавливает комментарий договора.
    `void` | `setDateFrom(java.util.Date date1)` Устанавливает дату начала действия договора.
    `void` | `setDateTo(java.util.Date date2)` Устанавливает дату закрытия договора.
    `void` | `setDel(int del)` Устанавливает признак скрытости договора.
    `void` | `setDependSubList(java.lang.String subList)` Установка списка субдоговоров с зависимым балансом.
    `void` | `setFc(int fc)` Устанавливает тип договора.
    `void` | `setGroups(long groups)` Установка битовой маски групп.
    `void` | `setParamGroup(int paramGroup)` Устанавливает группу параметров договора.
    `void` | `setPswd(java.lang.String pswd)` Устанавливает пароль договора.
    `void` | `setStatus(int status)` Устанавливает текущий статус договора, доступные статусы перечислены в `KernelConst`.
    `void` | `setStatusDate(java.util.Calendar statusDate)` Устанавливает дату установки текущего статуса договора.
    `void` | `setSubMode(int subMode)` Устанавливает тип субдоговора, может быть SUB_MODE_DEPEND_BALANCE либо SUB_MODE_INDEPEND_BALANCE из `KernelConst`.
    `void` | `setSuperId(int superId)` Устанавливает код супердоговора.
    `void` | `setTariffOptions(ContractTariffOptionList tariffOptions)` Соотнесение договору тарифных опций для тарификации.
    `void` | `setTitlePatternId(int id)` Устанавливает код шаблона имени.
    `void` | `setTts(bitel.billing.server.tariff.TariffTreeSet tts)` Соотнесение договору набора тарифных деревьев для тарификации.
    `boolean` | `statusMayBeOpen()` Deprecated.
    `boolean` | `statusMayByOpenInModule()` Deprecated.
    `boolean` | `statusServiceClosed()` Deprecated.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Field Detail

    - #### CREDIT_BALANCE_MODE

          public static final int CREDIT_BALANCE_MODE

      See Also:
        Constant Field Values

    - #### DEBET_BALANCE_MODE

          public static final int DEBET_BALANCE_MODE

      See Also:
        Constant Field Values

    - #### IS_SUPER

          public static final int IS_SUPER

      See Also:
        Constant Field Values

    - #### IS_INDEPENDENT

          public static final int IS_INDEPENDENT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Contract

          public Contract()

  - ### Method Detail

    - #### getTitlePatternId

          public int getTitlePatternId()

      Возвращает код шаблона имени.
      Returns:

    - #### setTitlePatternId

          public void setTitlePatternId(int id)

      Устанавливает код шаблона имени.
      Parameters:
        `id` -

    - #### getBalanceMode

          public int getBalanceMode()

      Возвращает режим баланса договора `DEBET_BALANCE_MODE` либо `CREDIT_BALANCE_MODE`.
      Returns:

    - #### setBalanceMode

          public void setBalanceMode(int balanceMode)

      Устанаваливает режим баланса договора `DEBET_BALANCE_MODE` либо `CREDIT_BALANCE_MODE`.
      Parameters:
        `balanceMode` -

    - #### getBalanceLimit

          public java.math.BigDecimal getBalanceLimit()

      Возвращает лимит остатка договора.
      Returns:

    - #### setBalanceLimit

          public void setBalanceLimit(java.math.BigDecimal limit)

      Установка лимита остатка.
      Parameters:
        `limit` -

    - #### getTts

          public bitel.billing.server.tariff.TariffTreeSet getTts()

      Возвращает соотнесенный договору набор тарифных деревьев для тарификации.
      Returns:

    - #### setTts

          public void setTts(bitel.billing.server.tariff.TariffTreeSet tts)

      Соотнесение договору набора тарифных деревьев для тарификации. Можно использовать функцию `ContractManager.getRealtimeTariffTreeSet(int, Calendar, String, int, boolean)`
      Parameters:
        `tts` -

    - #### getTariffOptions

          public ContractTariffOptionList getTariffOptions()

      Возвращает соотнесенный договору списка тарифных опций для тарификации.
      Returns:

    - #### setTariffOptions

          public void setTariffOptions(ContractTariffOptionList tariffOptions)

      Соотнесение договору тарифных опций для тарификации.
      Parameters:
        `tariffOptions` -

    - #### getGroups

          public long getGroups()

      Получение битовой маски групп договора.
      Returns:

    - #### setGroups

          public void setGroups(long groups)

      Установка битовой маски групп.
      Parameters:
        `groups` -

    - #### getParamGroup

          public int getParamGroup()

      Возвращает код группы параметров договора.
      Returns:

    - #### getFc

          public int getFc()

      Возвращает тип договора.
      Returns:
        0 - физ. лицо, 1 - юр. лицо.

    - #### getDateFrom

          public java.util.Date getDateFrom()

      Возвращает дату начала договора.
      Returns:

    - #### getDateTo

          public java.util.Date getDateTo()

      Возвращает дату закрытия договора.
      Returns:

    - #### getDel

          public int getDel()

      Возвращает скрытость договора.
      Returns:
        1 - договор скрыт.

    - #### getComment

          public java.lang.String getComment()

      Возвращает комментарий договора.
      Returns:

    - #### getPswd

          public java.lang.String getPswd()

      Возвращает пароль договора.
      Returns:

    - #### setParamGroup

          public void setParamGroup(int paramGroup)

      Устанавливает группу параметров договора.
      Parameters:
        `paramGroup` -

    - #### setFc

          public void setFc(int fc)

      Устанавливает тип договора.
      Parameters:
        `fc` - 0 - физ. лицо, 1 - юр. лицо.

    - #### setDateFrom

          public void setDateFrom(java.util.Date date1)

      Устанавливает дату начала действия договора.
      Parameters:
        `date1` -

    - #### setDateTo

          public void setDateTo(java.util.Date date2)

      Устанавливает дату закрытия договора.
      Parameters:
        `date2` -

    - #### setComment

          public void setComment(java.lang.String comment)

      Устанавливает комментарий договора.
      Parameters:
        `comment` -

    - #### setDel

          public void setDel(int del)

      Устанавливает признак скрытости договора.
      Parameters:
        `del` - 1 - скрыт, 0 - не скрыт.

    - #### setPswd

          public void setPswd(java.lang.String pswd)

      Устанавливает пароль договора.
      Parameters:
        `pswd` -

    - #### getSuperId

          public int getSuperId()

      Возвращает код супердоговора.
      Returns:

    - #### setSuperId

          public void setSuperId(int superId)

      Устанавливает код супердоговора.
      Parameters:
        `superId` -

    - #### getDependSubList

          public java.lang.String getDependSubList()

      Возвращает список субдоговоров с зависимым балансом.
      Returns:

    - #### setDependSubList

          public void setDependSubList(java.lang.String subList)

      Установка списка субдоговоров с зависимым балансом.
      Parameters:
        `subList` -

    - #### isIndepend

          public boolean isIndepend()

      Договор является независимым.
      Returns:

    - #### isSuper

          public boolean isSuper()

      Договор является супердоговором.
      Returns:

    - #### isSub

          public boolean isSub()

      Договор является субдоговором.
      Returns:

    - #### isDependSub

          public boolean isDependSub()

      Договор является субдоговором с зависимым балансом
      Returns:

    - #### isIndependSub

          public boolean isIndependSub()

      Договор является субдоговором с независимым балансом
      Returns:

    - #### getStatus

          public int getStatus()

      Возвращает текущий статус договора, доступные статусы перечислены в `KernelConst`.
      Returns:

    - #### setStatus

          public void setStatus(int status)

      Устанавливает текущий статус договора, доступные статусы перечислены в `KernelConst`.

    - #### getStatusDate

          public java.util.Calendar getStatusDate()

      Возвращает дату установки текущего статуса договора.
      Returns:

    - #### setStatusDate

          public void setStatusDate(java.util.Calendar statusDate)

      Устанавливает дату установки текущего статуса договора.
      Parameters:
        `statusDate` -

    - #### getSubMode

          public int getSubMode()

      Возвращает тип субдоговора, может быть SUB_MODE_DEPEND_BALANCE либо SUB_MODE_INDEPEND_BALANCE из `KernelConst`.
      Returns:

    - #### setSubMode

          public void setSubMode(int subMode)

      Устанавливает тип субдоговора, может быть SUB_MODE_DEPEND_BALANCE либо SUB_MODE_INDEPEND_BALANCE из `KernelConst`.

    - #### statusMayBeOpen

          @Deprecated
          public boolean statusMayBeOpen()

      Deprecated.
      Использовать `StatusCache.isModuleActiveStatus(int, int)`. Возвращает, может ли договор быть открыт в данном статусе. Статус `KernelConst.CONTRACT_STATUS_CLOSED` или `KernelConst.CONTRACT_STATUS_DISCONNECTED`.
      Returns:

    - #### statusServiceClosed

          @Deprecated
          public boolean statusServiceClosed()

      Deprecated.
      Использовать `StatusCache.isModuleActiveStatus(int, int)`. Возвращает, закрыты ли услуги данном статусе. Статусы `KernelConst.CONTRACT_STATUS_CLOSED`, `KernelConst.CONTRACT_STATUS_DISCONNECTED`, `KernelConst.CONTRACT_STATUS_SUSPENDED`.
      Returns:

    - #### statusMayByOpenInModule

          @Deprecated
          public boolean statusMayByOpenInModule()

      Deprecated.
      Использовать `StatusCache.isModuleActiveStatus(int, int)`. Возвращает, может ли модуль при данном статусе открыть услугу, только при статусе `KernelConst.CONTRACT_STATUS_ACTIVE`.
      Returns:

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `IdTitle`

    - #### compareTo

          public int compareTo(Contract o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<Contract>`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `Id`

    - #### getBalanceRest

          @Deprecated
          public java.math.BigDecimal getBalanceRest(java.sql.Connection con,
                                                                 java.util.Date time)

      Deprecated.
      Использовать `BalanceUtils.getBalance(Date, int)`.
      Parameters:
        `con` -
        `time` -
      Returns: